# API Docs

## Introduction

This section provides the API for Kana Perps, our perpetual futures trading platform. It includes endpoints for market data, placing orders, managing positions, and more to help you integrate and trade easily.

### Overview

Kanalabs supports both REST and WebSocket APIs for seamless integration with your application.

### REST API Endpoints

#### Testnet

* **Base URL**: <https://perps-tradeapi.kanalabs.io>

### WebSocket API Endpoints

#### Testnet

* **WebSocket URL**: wss\://perps-sdk-ws.kanalabs.io

### Request and Response Format

* **Requests**: All requests must be in JSON format.
* **Responses**: Responses can either be a JSON object or an array.

### SDKs

#### TypeScript SDK

* **GitHub Repository**: [kana-perps-sdk](https://github.com/kanalabs/kana-perps-sdk)

```
Please note that an API Key is required to integrate your bots/trading tools with our API.
To get the API key from us, reach out via email at hello@kanalabs.io
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kanalabs.io/perpetual-futures/kana-perps/api-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
